WriterPlsParserInternal::WindowsInfo Struct Reference

Windows informations. More...

## Classes

struct | Zone

## Public Member Functions

| WindowsInfo ()
bool | dimensionInvalid () const
bool | getColumnLimitsFor (int line, std::vector< int > &listPos)

## Public Attributes

MWAWVec2i | m_pageDim
int | m_headerY
int | m_footerY
std::vector< PageInfo > | m_pages
std::vector< ColumnInfo > | m_columns
std::vector< ParagraphInfo > | m_paragraphs
Zone | m_zone [7]

## Friends

std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

Windows informations.

## Constructor & Destructor Documentation

## WindowsInfo()

WriterPlsParserInternal::WindowsInfo::WindowsInfo | ( |  | ) |

inline

Referenced by operator<<.

## Member Function Documentation

## dimensionInvalid()

bool WriterPlsParserInternal::WindowsInfo::dimensionInvalid | ( |  | ) | const

inline

Referenced by WriterPlsParser::readWindowsInfo().

## getColumnLimitsFor()

bool WriterPlsParserInternal::WindowsInfo::getColumnLimitsFor | ( | int | line,
|  | std::vector< int > & | listPos )

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w )

friend

## Member Data Documentation

## m_columns

std::vector<ColumnInfo> WriterPlsParserInternal::WindowsInfo::m_columns

Referenced by getColumnLimitsFor(), WriterPlsParser::readColInfo(), and WindowsInfo().

## m_footerY

int WriterPlsParserInternal::WindowsInfo::m_footerY

Referenced by dimensionInvalid(), operator<<, WriterPlsParser::readWindowsInfo(), and WindowsInfo().

## m_headerY

int WriterPlsParserInternal::WindowsInfo::m_headerY

Referenced by dimensionInvalid(), operator<<, WriterPlsParser::readWindowsInfo(), and WindowsInfo().

## m_pageDim

MWAWVec2i WriterPlsParserInternal::WindowsInfo::m_pageDim

Referenced by dimensionInvalid(), operator<<, WriterPlsParser::readWindowsInfo(), and WindowsInfo().

## m_pages

std::vector<PageInfo> WriterPlsParserInternal::WindowsInfo::m_pages

Referenced by WindowsInfo().

## m_paragraphs

std::vector<ParagraphInfo> WriterPlsParserInternal::WindowsInfo::m_paragraphs

Referenced by getColumnLimitsFor(), WriterPlsParser::readParagraphInfo(), and WindowsInfo().

## m_zone

Zone WriterPlsParserInternal::WindowsInfo::m_zone[7]

Referenced by operator<<, WriterPlsParser::readColInfo(), WriterPlsParser::readParagraphInfo(), and WriterPlsParser::readWindowsInfo().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx